package org.firstinspires.ftc.teamcode.cometbots;

import static org.firstinspires.ftc.teamcode.util.action.FieldConstants.blueBucketStartPose;

import com.qualcomm.robotcore.eventloop.opmode.Disabled;
import com.qualcomm.robotcore.eventloop.opmode.OpMode;
import com.qualcomm.robotcore.eventloop.opmode.TeleOp;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.runmodes.Teleop;

@TeleOp(name="Drive", group="A")
@Disabled
public class CometDrive  extends OpMode {

    private Teleop teleop;

    @Override
    public void init() {
        teleop = new Teleop(hardwareMap,
                telemetry,
                new Follower(hardwareMap),
                blueBucketStartPose,
                gamepad1);
    }

    @Override
    public void start() {
        teleop.start();
    }

    @Override
    public void loop() {
        teleop.update();
    }
}
