package org.firstinspires.ftc.teamcode.configs;

import com.acmerobotics.dashboard.config.Config;

@Config
public class RobotConstants {
    public static double clawClose = 0.95;
    public static double clawOpen = 0.5;

    public static double armEngage = 0.5;
    public static double armPark = 0.125;
    public static double armBucket = 0.175;

    public static double wristFloor = 0.625;
    public static double wristBucket = 0.25;

    public static double intakeSpinInPwr = 1;
    public static double intakeSpinOutPwr = -0.25;
    public static double intakeSpinStopPwr = 0;
    public static double intakePivotTransferPos= 0.965;
    public static double intakePivotGroundPos = 0.4;
    public static double boxTransferPos= 0.95;
    public static double boxScoringPos = 0.5;
    public static int liftZeroPos = 0;
    public static int liftToHumanPlayerPos = 750;
    public static int liftToHighChamberPos = 2576;
    public static int liftReleaseHighChamberPos = 2276;
    public static int liftToLowChamberPos = 2000;
    public static int liftReleaseLowChamberPos = 1900;
    public static int liftToLowBucketPos = 2230;
    public static int liftToHighBucketPos = 2230;
}